org.apache.cassandra.db.columniterator

## Interface ICountableColumnIterator

- All Superinterfaces:
    java.lang.AutoCloseable, java.io.Closeable, CloseableIterator<OnDiskAtom>, java.util.Iterator<OnDiskAtom>, OnDiskAtomIterator
  All Known Implementing Classes:
    SSTableIdentityIterator

      public interface ICountableColumnIterator
      extends OnDiskAtomIterator

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColumnCount()`
    `void` | `reset()`

    - ### Methods inherited from interface org.apache.cassandra.db.columniterator.OnDiskAtomIterator

      `close, getColumnFamily, getKey`

    - ### Methods inherited from interface java.util.Iterator

      `hasNext, next, remove`

- - ### Method Detail

    - #### getColumnCount

          int getColumnCount()

    - #### reset

          void reset()

Copyright © 2014 The Apache Software Foundation